<?php
/**
 * Header Template
 *
 * @ Powered By Om!d Samadbin
 * @subpackage Template
 */

// Load Theme Options
global $ct_options;

?>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="<?php language_attributes(); ?>"><![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="<?php language_attributes(); ?>"><![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="<?php language_attributes(); ?>"><![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="<?php language_attributes(); ?>"><!--<![endif]-->
<head>

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<title><?php ct_title(); ?></title>
	<meta name="description" content="<?php bloginfo('description'); ?>" />

	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    
    <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
    <link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" />
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    
    <?php wp_enqueue_script("jquery"); ?>

	<?php wp_head(); ?>
    
</head>

<body<?php ct_body_id('top'); ?> <?php body_class(); ?>>

	<div class="container">
		<header class="sixteen columns">
            <?php if($ct_options['ct_text_logo'] == "Yes") { ?>
                <div id="textlogo" class="marT40 left">
                    <h2><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h2>
                </div>
            <?php } else { ?>
                <?php if($ct_options['ct_logo']) { ?>
                    <a href="<?php echo home_url(); ?>"><img id="logo" class="marT40" src="<?php echo $ct_options['ct_logo']; ?>" alt="<?php bloginfo('name'); ?>" /></a>
                <?php } else { ?>
                    <a href="<?php echo home_url(); ?>"><img id="logo" class="marT40" src="<?php echo get_template_directory_uri(); ?>/images/re-4-logo.png" alt="Pro Real Estate 4, a real estate theme by Contempo" height="30" width="257" /></a>
                <?php } ?>
            <?php } ?>
                
            <?php ct_nav(); ?>
		</header>
        
        <?php if(is_home() && $ct_options['ct_home_search'] == "Yes") {
			 include ( TEMPLATEPATH . '/includes/advanced-search.php' );
		} ?>
    </div>
        
    <div id="wrap" <?php if(!is_home()) { echo 'class="marT30"'; } ?>>
        <div class="container">
            <section class="sixteen columns">