<?php

global $ct_options;

$use_bg = ''; $background = ''; $custom_bg = ''; $body_face = '';

if(isset($ct_options['ct_background_image'])) {
	$use_bg = $ct_options['ct_background_image'];
}

if($use_bg) {

	$custom_bg = $ct_options['ct_body_bg_image'];
	
	if(!empty($custom_bg)) {
		$bg_img = $custom_bg;
	} else {
		$bg_img = $ct_options['ct_custom_bg'];
	}
	
	$bg_pos = $ct_options['ct_body_bg_pos'];
	
	if($ct_options['ct_custom_bg']) {
		$bg_rep = 'repeat';
	} else {
		$bg_rep = $ct_options['ct_body_bg_repeat'];
	}
	
	$background = 'url('. $bg_img .') '.$bg_pos.' '.$bg_rep ;

}

function ct_font_stack($font){
	$stack = '';

	switch ( $font ) {

		case 'arial':
			$stack .= 'Arial, sans-serif';
		break;
		case 'verdana':
			$stack .= 'Verdana, "Verdana Ref", sans-serif';
		break;
		case 'trebuchet':
			$stack .= '"Trebuchet MS", Verdana, "Verdana Ref", sans-serif';
		break;
		case 'georgia':
			$stack .= 'Georgia, serif';
		break;
		case 'times':
			$stack .= 'Times, "Times New Roman", serif';
		break;
		case 'tahoma':
			$stack .= 'Tahoma,Geneva,Verdana,sans-serif';
		break;
		case 'palatino':
			$stack .= '"Palatino Linotype", Palatino, Palladio, "URW Palladio L", "Book Antiqua", Baskerville, "Bookman Old Style", "Bitstream Charter", "Nimbus Roman No9 L", Garamond, "Apple Garamond", "ITC Garamond Narrow", "New Century Schoolbook", "Century Schoolbook", "Century Schoolbook L", Georgia, serif';
		break;
		case 'helvetica':
			$stack .= '"Helvetica Neue", Helvetica, Arial, sans-serif';
		break;
	}
	return $stack;
}

$body_face = $ct_options['ct_body_font']['face'];

$stack = ct_font_stack($body_face);

?>
<style type="text/css">
<?php if($ct_options['ct_body_bg_color']) { ?>
	#wrap { background:<?php echo $ct_options['ct_body_bg_color']; ?>  <?php echo $background; ?>;}
<?php } ?>
<?php if($ct_options['ct_header_border_color']) { echo " .container[role='masthead'] {border-top-color: " . $ct_options['ct_header_border_color'] . ";}"; } ?>
<?php if($ct_options['ct_header_background']) { echo " .container[role='masthead'] {background: " . $ct_options['ct_header_background'] . ";}"; } ?>
<?php if($ct_options['ct_link_color']) { echo " a:link {color: " . $ct_options['ct_link_color'] . ";}"; } ?>
<?php if($ct_options['ct_visited_color']) { echo " a:visited {color: " . $ct_options['ct_visited_color'] . ";}"; } ?>
<?php if($ct_options['ct_hover_color']) { echo " a:hover {color: " . $ct_options['ct_hover_color'] . ";}"; } ?>
<?php if($ct_options['ct_active_color']) { echo " a:active {color: " . get_option("ct_alink_color", true) . ";}"; } ?>
<?php if($ct_options['ct_footer_border_top_color']) { echo " footer {border-top-color: " . $ct_options['ct_footer_border_top_color'] . ";}"; } ?>
<?php if($ct_options['ct_footer_background']) { echo " footer {background: " . $ct_options['ct_footer_background'] . ";}"; } ?>
<?php if($ct_options['ct_custom_css']) { print($ct_options['ct_custom_css']); } ?>
</style>