<?php
/**
 * Index Template
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */
 
if (!empty($_GET['search-listings'])) {
	require('search-listings.php');
	return;
}

get_header(); ?>

			<?php
            $layout = $ct_options['ct_homepage_layout']['enabled'];
            
            if ($layout) :
            
            foreach ($layout as $key=>$value) {
            
                switch($key) {
					
				// Slider
				case 'slider' : ?>
                
                <?php ct_slider(); ?>
                
                <?php
                break;
					
				// Featured Listings            
                case 'featured_listings' : ?>
                <section id="featured-listings" class="sixteen columns alpha omega marT40">
                    <div id="carousel" class="flexslider sixteen columns alpha omega">
                        <h6><span><?php _e('Featured Listings', 'contempo'); ?></span></h6>
                        <ul class="slides marT10">
                            <?php 
                                $args = array(
                                    'status' => 'featured',
                                    'post_type' => 'listings',
                                    'posts_per_page' => 8
                                );
                                query_posts($args);
                                
                                if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                                    
                                <li>
                                    <div class="img-wrap">
                                        <?php ct_status(); ?>
                                        <?php ct_first_image_linked(); ?>
                                    </div>
                                    <div class="featured-listing-info marT6 marL10">
                                        <h5 class="marB0"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                                        <p class="location marB8"><?php city(); ?>, <?php state(); ?> <?php zipcode(); ?></p>
                                        <p class="price marB0"><?php if(has_status('for-rent') || has_status('rental')) { echo "<em>Rental - </em>"; } ?><strong><?php currency(); ?><?php listing_price(); ?></strong></p>
                                        <p class="propinfo marB0"><?php if(has_type('land') || has_type('lot')) { ?><?php echo get_post_meta($post->ID, "lotsize_value", true); ?> <?php acres(); ?><?php } elseif(has_type('commercial')) { ?><?php // Display Nothing ?><?php } else { ?><?php beds(); ?> <?php baths(); ?><?php  if((get_post_meta($post->ID, "_ct_sqft", true))) { ?> | <?php echo get_post_meta($post->ID, "_ct_sqft", true); ?> <?php sqftsqm(); ?><?php } ?><?php } ?></p>
                                    </div>	
                                </li>
                                    
                            <?php endwhile; endif; ?>
                            <?php wp_reset_query(); ?>
                        </ul>
                    </div>
                </section>
                <?php
                break;
				
				// Call To Action
                case 'call_to_action' : ?>
                <div id="cta" class="sixteen columns marT40">
                	<div id="cta-inner">
						<?php echo stripslashes($ct_options['ct_cta_text']); ?>
                        	<div class="clear"></div>
                    </div>
                </div>
                <?php
                break;
				
				// Three Column Widget Area
				case 'three_col_widget_area' : ?>
                
                <section id="three-col-widget-area" class="sixteen columns alpha omega marT40">
                    <div class="five columns alpha marT30">
                        <h4>Why Choose Us?</h4>
                        <p>Take it from me we released our first real estate WordPress theme back in December 2008, since then we've gained the trust of <strong>thousands of customers</strong>.</p>
                        <p>So you know you're getting a top quality product from an experienced team.</p>
                    </div>
                    
                    <div class="widget-area ten columns offset-by-one omega marT30">
                        <?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Three Column Homepage') ) :else: endif; ?>
                    </div>
                </section>
                
                <?php
				break;
				
				// Four Column Widget Area
				case 'four_col_widget_area' : ?>
                
                <section id="four-col-widget-area" class="sixteen columns alpha omega marT40">
					<?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Four Column Homepage') ) :else: endif; ?>
                </section>
                
                <?php
				break;
				
				// Testimonials
				case 'testimonials' :
				
				include(get_template_directory() . '/includes/testimonials.php');
				
				break;
                }
            
            } endif; ?>

<?php get_footer(); ?>