<?php
/**
 * Search Listings Template
 *
 * @ Powered By Om!d Samadbin
 * @subpackage Template
 */
 
$layout = $ct_options['ct_listing_search_layout'];

/*-----------------------------------------------------------------------------------*/
/* Query multiple taxonomies */
/*-----------------------------------------------------------------------------------*/

$taxonomies_to_search = array(
	'beds' => 'Bedrooms',
	'baths' => 'Bathrooms',
	'property_type' => 'Property Type',
	'status' => 'Status',
	'state' => 'State',
	'zipcode' => 'Zipcode',
	'city' => 'City',
	'additional_features' => 'Additional Features'
);                                                                       

$search_values = array();

foreach ($taxonomies_to_search as $t => $l) {
	$var_name = 'ct_'. $t;
	
	if (!empty($_GET[$var_name])) {  
		$search_values[$t] = utf8_encode($_GET[$var_name]);
	}                                                     
}                                                          
                                   
$search_values['post_type'] = 'listings';
$search_values['paged'] = (get_query_var('paged')) ? get_query_var('paged') : 1;
$search_values['showposts'] = 3;

$mode = 'search'; 

/*-----------------------------------------------------------------------------------*/
/* Check Price From/To */
/*-----------------------------------------------------------------------------------*/

if (!empty($_GET['ct_price_from']) && !empty($_GET['ct_price_to'])) {
	$ct_price_from = str_replace(',', '', $_GET['ct_price_from']);
	$ct_price_to = str_replace(',', '', $_GET['ct_price_to']);
	$search_values['meta_query'] = array(
		array(
			'key' => '_ct_price',
			'value' => array( $ct_price_from, $ct_price_to ),
			'type' => 'numeric',
			'compare' => 'BETWEEN'
		)
	);
}
else if (!empty($_GET['ct_price_from'])) {               
	$ct_price_from = str_replace(',', '', $_GET['ct_price_from']);
	$search_values['meta_query'] = array(
		array(
			'key' => '_ct_price',
			'value' => $ct_price_from,
			'type' => 'numeric',
			'compare' => '>='
		)
	);	
}
else if (!empty($_GET['ct_price_to'])) {               
	$ct_price_to = str_replace(',', '', $_GET['ct_price_to']);
	$search_values['meta_query'] = array(
		array(
			'key' => '_ct_price',
			'value' => $ct_price_to,
			'type' => 'numeric',
			'compare' => '<='
		)
	);	
}

/*-----------------------------------------------------------------------------------*/
/* Check to see if reference number matches */
/*-----------------------------------------------------------------------------------*/ 
 
if (!empty($_GET['ct_mls'])) {
	$ct_mls = $_GET['ct_mls'];
	$search_values['meta_query'] = array(
		array(
			'key' => '_ct_mls',
			'value' => $ct_mls,
			'type' => 'numeric',
			'compare' => '='
		)
	);	
}

global $wp_query;

/*-----------------------------------------------------------------------------------*/
/* Save the existing query */
/*-----------------------------------------------------------------------------------*/ 

$existing_query_obj = $wp_query;

$wp_query = new WP_Query( $search_values ); 

unset($search_values['post_type']);
unset($search_values['paged']);
unset($search_values['showposts']);   

/*-----------------------------------------------------------------------------------*/
/* Prepare the title string by looping through
all the values we're going to query and put them together */
/*-----------------------------------------------------------------------------------*/                             

$search_params = ''; 
$loop = 0;
foreach ($search_values as $t => $s) {                                     
	if ($loop == 1) { 
		$search_params .= ', '; 
	} else {
		$loop = 1;
	}                              
	
	$term = get_term_by('slug',$s,$t);
	$name = $term->name;   
	
	$search_params .= '<strong>'. $name .'</strong>';                                    
}

get_header(); ?>

    <header id="archive-header" class="sixteen columns alpha omega marT30 marB20">
        <div id="archive-header-inner">
            <h6><?php if($search_params !="") { echo __('Searching: ', 'contempo'); echo $search_params; } else { echo __('Searching all listings', 'contempo'); } ?></h6>
        </div>
    </header>
    
    <?php if($layout == "left-sidebar" || $layout == "three-column") { ?>
        <div id="left-sidebar" class="<?php if($layout == "three-column") { echo 'four'; } else { echo 'five'; } ?> columns alpha">
            <?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Listings Search Left') ) :else: endif; ?>	
        </div>
    <?php } ?>
	
     <section id="content" class="<?php if($layout == "left-sidebar") { echo 'eleven omega'; } elseif($layout == "right-sidebar") { echo 'eleven'; } elseif($layout == "three-column") { echo 'eight'; } elseif($layout == "full-width") { echo 'sixteen alpha omega'; } ?> columns">
    
        <div id="featured-listings" class="columns alpha omega marB20 padT10">
            <h5><?php _e('Featured Listing', 'contempo'); ?></h5>
            <?php 
			$args = array(
				'status' => 'featured',
				'post_type' => 'listings',
				'posts_per_page' => 1
			);
			query_posts($args);
			
			if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
            <article class="listing columns marT20">
                <div class="img-wrap <?php if($layout == "left-sidebar" || $layout == "right-sidebar") { echo 'five'; } elseif($layout == "three-column") { echo 'three'; } elseif($layout == "full-width") { echo 'six'; } ?> columns alpha">
                    <?php ct_status(); ?>
                    <?php ct_first_image_md(); ?>
                </div>
                <div class="listing-info <?php if($layout == "left-sidebar" || $layout == "right-sidebar") { echo 'six'; } elseif($layout == "three-column") { echo 'five'; } elseif($layout == "full-width") { echo 'ten'; } ?> columns omega">
                    <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                    <p class="location marB10"><?php city(); ?>, <?php state(); ?> <?php zipcode(); ?></p>
                    <?php if( (get_post_meta($post->ID, "_ct_price", true)) != 0 ) { ?><p class="price marB10"><strong><?php currency(); ?><?php listing_price(); ?></strong><?php if(has_status('for-rent') || has_status('rental')) { echo " /month"; } ?></p><?php } ?>
                    <p class="propinfo"><?php if(has_type('land') || has_type('lot')) { ?><?php echo get_post_meta($post->ID, "lotsize_value", true); ?> <?php acres(); ?><?php } elseif(has_type('commercial')) { ?><?php // Display Nothing ?><?php } else { ?><?php beds(); ?> <?php baths(); ?> <?php  if((get_post_meta($post->ID, "sqft_value", true))) { ?>&nbsp;|&nbsp; <?php echo get_post_meta($post->ID, "sqft_value", true); ?> <?php sqftsqm(); ?><?php } ?> <?php  if((get_post_meta($post->ID, "lotsize_value", true))) { ?><?php _e('on', 'contempo'); ?> <?php echo get_post_meta($post->ID, "lotsize_value", true); ?> <?php acres(); ?><?php } ?><?php } ?></p>
                    <p class="proptype"><?php propertytype(); ?></p>
                    <p class="agent"><?php _e('Listing Agent:', 'contempo'); ?> <a href="<?php echo site_url(); ?>/?author=<?php the_author_meta('ID'); ?>"><?php the_author_meta('first_name'); ?> <?php the_author_meta('last_name'); ?></a></p>
                    <?php if(get_post_meta($post->ID, "_ct_mls", true)) { ?><p class="mls marT10"><?php _e('MLS', 'contempo'); ?> # <?php echo get_post_meta($post->ID, "_ct_mls", true); ?></p><?php } ?>
                </div>
                    <div class="clear"></div>
            </article>
            <?php endwhile; endif; ?>
			<?php wp_reset_query(); ?>
        </div>
        
        <div id="listings-results" class="columns alpha omega marB20 padT10">
            <h5 class="marB20"><?php $total_results = $wp_query->found_posts; echo $total_results; ?> <?php if($total_results != '1') { ?><?php _e('listings found', 'contempo'); ?><?php } else { ?><?php _e('listing found', 'contempo'); ?><?php } ?></h5>
            
            <div id="map-wrap" class="columns alpha omega marB20">
				<?php search_results_map(); ?>
                <div id="map" class="toggle columns"></div>
                <a href="#" class="show-hide">Hide Map</a>
            </div>
			<?php get_template_part( 'loop', 'listings' ); ?>  
        </div>
		
		<?php
		
		// Restore WP_Query object
		$wp_query = $existing_query_obj;
		
		?>
	
    </section>
    
    <?php if($layout == "right-sidebar" || $layout == "three-column") { ?>
        <div id="right-sidebar" class="<?php if($layout == "three-column") { echo 'four'; } else { echo 'five'; } ?> columns omega">
            <?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Listings Search Right') ) :else: endif; ?>	
        </div>
    <?php } ?>

<?php get_footer(); ?>