<?php
/**
 * Single Listings Template
 *
 * @ Powered By Om!d Samadbin
 * @subpackage Template
 */
 
$layout = $ct_options['ct_listing_single_layout'];

get_header(); ?>

            <header id="single-header" class="sixteen columns alpha omega marT30 marB20">
                <div class="pad20">
                    <div class="six columns alpha omega">
                        <p class="breadcrumbs marB0"><a href="/"><?php _e('Home', 'contempo'); ?></a> &raquo; <a href="/?search-listings=true"><?php _e('Listings', 'contempo'); ?></a> &raquo; <?php the_title(); ?></p>
                    </div>
                    <div id="header-listing-next-previous" class="four columns alpha omega">
                        <div class="nav-previous left"><?php next_post_link('%link', '<em>&larr;</em> Previous Listing', TRUE); ?></div>
                        <div class="nav-next right"><?php previous_post_link('%link', 'Next Listing<em>&rarr;</em>', TRUE); ?></div>
                    </div>
                        <div class="clear"></div>
                </div>
            </header>
            
			<?php if($layout == "left-sidebar" || $layout == "three-column") { ?>
				<div id="left-sidebar" class="<?php if($layout == "three-column") { echo 'four'; } else { echo 'five'; } ?> columns alpha">
					<?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Listing Single Left') ) :else: endif; ?>
                        <div class="clear"></div>
                </div>
			<?php } ?>

            <section id="content" class="<?php if($layout == "left-sidebar") { echo 'eleven omega'; } elseif($layout == "right-sidebar") { echo 'eleven'; } elseif($layout == "three-column") { echo 'eight'; } elseif($layout == "full-width") { echo 'sixteen alpha omega'; } ?> columns">
                <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                
                    <article id="post-<?php the_ID(); ?>" <?php post_class('pad20 marB20'); ?>>

                        <h3 class="entry-title marT10 marB0"><?php the_title(); ?></h3>
                        <p class="location"><?php city(); ?>, <?php state(); ?> <?php zipcode(); ?></p>
                        
                        <?php if( (get_post_meta($post->ID, "_ct_price", true)) != 0 ) { ?><h4 class="price marB5"><?php if(has_status('for-rent')) { echo __('Rental - ', 'contempo'); } elseif(has_status('lease')) { echo __('Lease - ', 'contempo'); } ?><strong><?php currency(); ?><?php listing_price(); ?></strong><?php { if(has_status('for-rent')) { } else { ?><a href="#loanCalc"><?php _e(' / Calculate Payment', 'contempo'); ?></a><?php } ?><?php } ?></h4><?php } ?>
                        
                        <p class="propinfo"><?php if(has_type('land') || has_type('lot')) { ?><?php echo get_post_meta($post->ID, "_ct_lotsize", true); ?> <?php acres(); ?><?php } elseif(has_type('commercial')) { ?><?php // Display Nothing ?><?php } else { ?><?php beds(); ?> <?php baths(); ?> <?php  if((get_post_meta($post->ID, "_ct_sqft", true))) { ?>&nbsp;|&nbsp; <?php echo get_post_meta($post->ID, "_ct_sqft", true); ?> <?php sqftsqm(); ?><?php } ?><?php } ?> <?php if((get_post_meta($post->ID, "_ct_mls", true))) { ?>&nbsp;|&nbsp; <?php _e('MLS', 'contempo'); ?> # <?php echo get_post_meta($post->ID, "_ct_mls", true); ?><?php } ?></p>

						<div id="slider" class="flexslider marB18">
							<?php ct_status(); ?>
                            <ul class="slides">
                                <?php ct_slider_images(); ?>
                            </ul>
                        </div>
                        <div id="carousel" class="flexslider">
                            <ul class="slides">
                                <?php ct_slider_images(); ?>
                            </ul>
                        </div>
                            <div class="clear"></div>
                        
                        <?php include(TEMPLATEPATH . '/includes/post-social.php'); ?>
                        
                        <div class="post-content marT20">
							<?php the_content(); ?>
                            
                            <?php addfeatlist(); ?>
                            
                            <?php if(get_post_meta($post->ID, "_ct_video", true)) { ?>
                            <div class="videoplayer">
                                <?php echo stripslashes(get_post_meta($post->ID, "_ct_video", true)); ?>
                            </div>       
                            <?php } ?>
                            
                            <div id="location">
                                <h5 class="marB10"><?php _e('Location', 'contempo'); ?></h5>
                                <div id="map">
                                    <?php listing_map(); ?>
                                </div>
                            </div>
                        </div>
                        
                        <?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'contempo' ) . '</span>', 'after' => '</div>' ) ); ?>

                    </article>
                    
                    <?php if($ct_options['ct_post_comments'] == "Yes" && comments_open()) { ?>
					<?php comments_template( '', true ); ?>
                    <?php } ?>
                
				<?php endwhile; ?>
                
					<?php //wp_link_pages(); ?>
				
				<?php endif; ?>
            </section>
            
            <?php if($layout == "right-sidebar" || $layout == "three-column") { ?>
				<div id="right-sidebar" class="<?php if($layout == "three-column") { echo 'four'; } else { echo 'five'; } ?> columns omega">
					<?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Listing Single Right') ) :else: endif; ?>
                        <div class="clear"></div>
                </div>
			<?php } ?>
            
<?php get_footer(); ?>