<?php
/**
 * Template Name: Contact
 *
 * @ Powered By Om!d Samadbin
 * @subpackage Template
 */
 
$layout = $ct_options['ct_layout'];

get_header(); ?>
            <header id="page-header" class="sixteen columns alpha omega marT30 marB20">
                <div id="page-header-inner">
                    <div class="ten columns alpha omega">
                        <h3 class="marB0"><?php the_title(); ?></h3>
                        <?php if($ct_options['ct_post_breadcrumbs'] == "Yes") { ?>
                            <?php ct_breadcrumbs(); ?>
                        <?php } ?>
                    </div>
                    <div id="header-search" class="four columns alpha omega">
						<?php include(TEMPLATEPATH . '/search-form.php'); ?>
                    </div>
                        <div class="clear"></div>
                </div>
            </header>
			<?php if($layout == "left-sidebar" || $layout == "three-column") { ?>
				<div id="left-sidebar" class="<?php if($layout == "three-column") { echo 'four columns alpha'; } else { echo 'five columns alpha'; } ?>">
					<?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Left Sidebar Pages') ) :else: endif; ?>
                        <div class="clear"></div>
                </div>
			<?php } ?>
            <section id="content" class="<?php if($layout == "left-sidebar") { echo 'eleven omega'; } elseif($layout == "right-sidebar") { echo 'eleven'; } elseif($layout == "three-column") { echo 'eight'; } elseif($layout == "full-width") { echo 'sixteen alpha omega'; } ?> columns">
                <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                
                    <article id="post-<?php the_ID(); ?>" <?php post_class('pad20 marB20'); ?>>
                        
                        <div class="post-content">
							<?php if($ct_options['ct_contact_map'] == "Yes") { ?>
							<?php contact_us_map(); ?>
						<?php } ?>
                        
                        <div class="post-content pad20 marT20">
                            <div id="form-wrap" class="five columns">
                                <h5 class="marT10 marB18"><?php _e('Shoot Us a Message', 'contempo'); ?></h5>
                                <form id="contactform" class="formular" method="post">
                                    <fieldset>
                                        <input type="text" name="name" id="name" class="validate[required,custom[onlyLetter]] text-input" value="Name" onfocus="if(this.value=='Name')this.value = '';" onblur="if(this.value=='')this.value = 'Name';" />
                                        
                                        <input type="text" name="email" id="email" class="validate[required,custom[email]] text-input" value="Email" onfocus="if(this.value=='Email')this.value = '';" onblur="if(this.value=='')this.value = 'Email';" />
                                        
                                        <textarea class="validate[required,length[2,500]] text-input" name="message" id="message" rows="5" cols="10"></textarea>
                                        
                                        <input type="hidden" id="ctyouremail" name="ctyouremail" value="<?php echo $ct_options['ct_contact_email']; ?>" />
                                        <input type="hidden" id="ctsubject" name="ctsubject" value="<?php echo stripslashes($ct_options['ct_contact_subject']); ?>" />
                                        
                                        <input type="submit" name="Submit" value="Submit" id="submit" class="btn" />  
                                    </fieldset>
                                </form>
                            </div>
                            
                            <?php if($ct_options['ct_contact_details_location'] || $ct_options['ct_contact_details_phone'] || $ct_options['ct_contact_details_fax'] || $ct_options['ct_contact_details_email'] != '') { ?>
                            <div id="contact-info" class="three columns">
                                <h5 class="marT10 marB18"><?php _e('Contact Details', 'contempo'); ?></h5>
                                <ul>
                                    <?php if($ct_options['ct_contact_details_location']) { ?>
                                    <li id="address"><?php print($ct_options['ct_contact_details_location']); ?></li>
                                    <?php } ?>
                                    <?php if($ct_options['ct_contact_details_phone']) { ?>
                                    <li id="tel"><?php echo $ct_options['ct_contact_details_phone']; ?></li>
                                    <?php } ?>
                                    <?php if($ct_options['ct_contact_details_fax']) { ?>
                                    <li id="fax"><?php echo $ct_options['ct_contact_details_fax']; ?></li>
                                    <?php } ?>
                                    <?php if($ct_options['ct_contact_details_email']) { ?>
                                    <li id="email"><a href="mailto:<?php echo $ct_options['ct_contact_details_email']; ?>">Email Us</a></li>
                                    <?php } ?>
                                </ul>
                            </div>
                            <?php } ?>
                                <div class="clear"></div>                        
                        </div>

                    </article>
                
				<?php endwhile; ?>
                
					<?php //wp_link_pages(); ?>
				
				<?php endif; ?>
            </section>
            <?php if($layout == "right-sidebar" || $layout == "three-column") { ?>
				<div id="right-sidebar" class="<?php if($layout == "three-column") { echo 'four columns omega'; } else { echo 'five columns omega'; } ?>">
					<?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Right Sidebar Pages') ) :else: endif; ?>
                        <div class="clear"></div>
                </div>
			<?php } ?>
<?php get_footer(); ?>